# SourcePath: which/20130331dev
Summary: Displays where a particular program in your path is located.
Name: sony-target-dev-which
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-which
Version: 2.18
Release: 12010001
License: GPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://www.xs4all.nl/~carlo17/which
Source0: ftp://ftp.gnu.org/gnu/which/which-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Prefix:  %{sony_target_dir}
%define _docdir	 %{sony_target_dir}%{sony_target_dev_doc_dir}

%description
The which command shows the full pathname of a specified program, if
the specified program is in your PATH.

%package -n %{pkgname}
Summary: Displays where a particular program in your path is located.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The which command shows the full pathname of a specified program, if
the specified program is in your PATH.


%prep
%setup -n which-%{version}

%build
%sony_target_dev_setup

export ac_cv_prog_cc_cross=yes
%sony_target_dev_configure --disable-iberty

make

%install
%sony_target_dev_setup
rm -rf %{buildroot}

%sony_target_dev_makeinstall

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/info
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_bin_dir}/which

%changelog
* Mon May 10 2021 Sony Corporation
- Initial build for CE Linux 12.1.0.X

* Sun Mar 31 2013 Sony Corporation
- Version update to 2.18

* Fri Mar 02 2007 Sony Corporation
- Version update to 2.16

* Wed Dec 08 2004 Sony Corporation - dev-which
- delete online manual

* Fri Aug 20 2004 Sony Corporation - dev-which
- Initial build.  Conformed to 20040825-rule
